package com.iformall.enums;

public enum EnumYesOrNo {

    YES(1, "是"),
    NO(0, "否"),
    ;

    public static EnumYesOrNo getEnum(Integer code) {
        for (EnumYesOrNo value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumYesOrNo(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
